# Uses of Class
org.eclipse.gef.requests.AlignmentRequest

Packages that use AlignmentRequest
Package
Description
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.

## Uses of AlignmentRequest in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies with parameters of type AlignmentRequest
Modifier and Type
Method
Description
`protected Command`
ConstrainedLayoutEditPolicy.`getAlignChildrenCommand(AlignmentRequest request)`
Returns the command to align a group of children.
`protected Command`
NonResizableEditPolicy.`getAlignCommand(AlignmentRequest request)`
Returns the command contribution to an alignment request